- name: Login to GitLab repository locally
  local_action:
    module: docker_login
    registry: "{{ gitlab_registry_url }}"
    username: "{{ gitlab_deploy_user }}"
    password: "{{ gitlab_deploy_token }}"

- name: Build allu_search_service Docker image
  local_action:
    module: docker_image
    source: build
    build:
      args:
        CUSTOM_UID: "{{ system_user_id_allu }}"
        CUSTOM_GID: "{{ system_group_id_allu }}"
        CACHEBUST: "{{ 9999999 |random }}"
        SERVICE_MEMORY: "{{ allu_service_memory_limit['search-service'] }}"
      path: "{{ role_path }}/files/search_service_docker"
    name: "allu_search_service:{{ branch }}"
    force_source: true

- name: Push built allu_search_service Docker image to GitLab repository
  local_action:
    module: docker_image
    push: true
    source: local
    force_tag: true  # As branch may already be present, we need to enable overwriting of existing tags
    name: "allu_search_service:{{ branch }}"
    repository: "{{ gitlab_registry_url }}/vincit/allu/allu/allu_search_service:{{ branch }}"
